import { requestClient } from '#/api/request';

const prefix = 'code/';
// /**
//  * 分页查询代码生成列表
//  * @param data
//  */
// export async function getAdminList(data: any) {
//   return requestClient.get<any>(`${prefix}list`, { params: data });
// }
// /**
//  * 分页查询代码生成列表
//  * @param data
//  */
// export async function getAdminAccountBalance(data: any = {}) {
//   return requestClient.get<any>(`${prefix}my-balance`, { params: data });
// }
//
// /**
//  * 获取代码生成详情
//  * @param id
//  */
// export async function getAdminInfo(id: number) {
//   return requestClient.get<any>(`${prefix}detail`, { params: { id } });
// }

/**
 * 代码生成
 * @param data
 */
export async function generationApi(data: Record<string, any>) {
  return requestClient.post<any>(`${prefix}generation`, data);
}

/**
 * 下载压缩包信息
 */
export async function downloadInfoApi(id: any) {
  return requestClient.get(`${prefix}download-info`, { params: { id } });
}

/**
 * 下载压缩包
 */
export async function codeGenerationDownloadApi(id: any) {
  return requestClient.download(`${prefix}download?id=${id}`);
}
